Bug 171593 - reduce terminal size causes segfault in aumix
reduce terminal size causes segfault in aumix
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: aumix (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-23 21:20 EDT by p thompson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-06 21:24:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description p thompson 2005-10-23 21:20:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
reduction in terminal size causes aumix to segmentation fault

Version-Release number of selected component (if applicable):
aumix-2.8-9

How reproducible:
Always

Steps to Reproduce:
1.screen aumix inside of a putty session
2.maximize the session
3.return to previous size
4.watch segfault
  

Expected Results:  aumix should resize larger & smaller

Additional info:

strace
write(1, "\10\33[36m\33[44mx\33[39;49m\33[m", 23) = 23
rt_sigaction(SIGTSTP, {0xb3dbe6, [], SA_NOMASK}, NULL, 8) = 0
alarm(1)                                = 0
sigreturn()                             = ? (mask now [])
gettimeofday({1130116851, 589942}, NULL) = 0
rt_sigaction(SIGTSTP, {SIG_IGN}, {0xb3dbe6, [], SA_NOMASK}, 8) = 0
select(1, [0], NULL, NULL, {0, 0})      = 0 (Timeout)
select(1, [0], NULL, NULL, {0, 0})      = 0 (Timeout)
rt_sigaction(SIGTSTP, {0xb3dbe6, [], SA_NOMASK}, NULL, 8) = 0
select(6, [0 5], NULL, NULL, {86400, 968000}) = ? ERESTARTNOHAND (To be restarted)
--- SIGWINCH (Window changed) @ 0 (0) ---
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
Comment 1 p thompson 2005-10-23 23:51:35 EDT
screen-4.0.2-9
Works fine inside xterm
Comment 2 Mike A. Harris 2005-11-06 21:24:57 EST
"alsamixer" is the new text console mixer application in Fedora Core 4.

aumix is not shipped in Fedora Core 4, as it is not completely compatible
with modern kernels and ALSA.


Note You need to log in before you can comment on or make changes to this bug.